;InnoSetupVersion=2.0.18

[Setup]
AppName=Ratmaster Demo
AppVerName=Ratmaster Demo v1.2
AppId=Ratmaster Demo
DefaultDirName={pf}\Twilight\Ratmaster Demo
DefaultGroupName=Ratmaster Demo
UninstallDisplayIcon={app}\RatmasterDemo.exe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\RESOURCES.DAT"; DestDir: "{app}"; 
Source: "{app}\version.dat"; DestDir: "{app}"; 
Source: "{app}\distribute.txt"; DestDir: "{app}"; 
Source: "{app}\file_id.diz"; DestDir: "{app}"; 
Source: "{app}\ombudsman.txt"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\MFC42.DLL"; DestDir: "{app}"; 
Source: "{app}\MSVCRT.DLL"; DestDir: "{app}"; 
Source: "{app}\TwWeb.url"; DestDir: "{app}"; 
Source: "{app}\RELEASE_GDITools.dll"; DestDir: "{app}"; 
Source: "{app}\RELEASE_Gkernel.dll"; DestDir: "{app}"; 
Source: "{app}\RELEASE_LEVELMAP.dll"; DestDir: "{app}"; 
Source: "{app}\RELEASE_SOUND.dll"; DestDir: "{app}"; 
Source: "{app}\ratmasterdemo.exe"; DestDir: "{app}"; 
Source: "{app}\RELEASE_Common.dll"; DestDir: "{app}"; 
Source: "{app}\RELEASE_D2DSurface.dll"; DestDir: "{app}"; 
Source: "{app}\RELEASE_GAME.dll"; DestDir: "{app}"; 
Source: "{app}\PurchaseURL.url"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 

[Run]
Filename: "{group}"; Description: "View Folder"; Flags: shellexec postinstall 

[Icons]
Name: "{group}\Readme.txt and Support Info"; Filename: "{app}\readme.txt"; WorkingDir: "{app}"; 
Name: "{group}\Twilight Games Homepage"; Filename: "{app}\TWWeb.URL"; WorkingDir: "{app}"; 
Name: "{group}\Buy now!"; Filename: "{app}\PurchaseURL.URL"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Ratmaster Demo"; Filename: "{app}\RatmasterDemo.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{group}\Ratmaster Demo"; Filename: "{app}\RatmasterDemo.exe"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Visit Twilight Games"; Filename: "http://www.twilightgames.com?src=desk"; WorkingDir: "{app}"; Comment: "Download free game demos!"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; 
